Bug 739422 - Translation Editor: editor should stay open after page changes
Translation Editor: editor should stay open after page changes
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
: 740166 (view as bug list)
Depends On: 733581
  Show dependency treegraph
Reported: 2011-09-18 21:07 EDT by Alex Eng
Modified: 2013-02-27 03:10 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.7.4-SNAPSHOT (20120928-0009)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-27 03:10:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of the next page (36.17 KB, image/png)
2012-07-30 23:14 EDT, Runa Bhattacharjee
no flags Details

  None (edit)
Description Alex Eng 2011-09-18 21:07:18 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to Translation editor
2. Go to last entry of the page, enter "hi"
3. Hit Alt + Down arrow
4. View will change to next page with last changes saved. But text area not focus on the first entry.
5. Same goes if changes made on first entry on second page and hit Alt+Up arrow.
Actual results:
First or last entry of the text area not focused.

Expected results:
First or last entry of the text area opened and focused.
Comment 1 Ding-Yi Chen 2011-09-23 00:15:51 EDT
*** Bug 740166 has been marked as a duplicate of this bug. ***
Comment 2 Sean Flanigan 2011-09-23 00:22:08 EDT
Note that the editor on the new page is not just unfocussed, it is not open at all.
Comment 3 Sean Flanigan 2011-09-23 00:28:42 EDT
After consulting with Runa, since this bug has a workaround, I'm removing from the dependency tree for the zanata 1.4 release blocker bug.
Comment 6 Runa Bhattacharjee 2012-07-30 09:59:30 EDT
This is still a problem. Request for technical evaluation.
Comment 7 Alex Eng 2012-07-30 18:28:21 EDT

Can't seems to reproduce the problem now with version 1.7. Can you confirm if the problem still there? Which firefox version you tested on?
Comment 8 Runa Bhattacharjee 2012-07-30 23:13:18 EDT
I tested with firefox 14. To confirm, the editor page opens but the first string on the next page was not in focus. I had to manually click it open.
Comment 9 Runa Bhattacharjee 2012-07-30 23:14:01 EDT
Created attachment 601414 [details]
screenshot of the next page
Comment 10 Ding-Yi Chen 2012-09-27 22:20:36 EDT
VERIFIED with Zanata version 1.7.4-SNAPSHOT (20120928-0009)
and Zanata version 1.8.0-SNAPSHOT (20120928-0032)

Note You need to log in before you can comment on or make changes to this bug.